<div class="container">

  <div class="row"><h4>{{vm.title}}</h4></div>

  <div class="row"><hr></div>

  <div class="row">

<div class="container">

  <!-- @begin: peridiocidadeForm -->
  <form role="form" name="peridiocidadeForm">

    <!-- @begin: name -->
    <div class="row" ng-class="{'has-error': peridiocidadeForm.name.$invalid}">
      <div class="col-md-1">
        <i ng-if="peridiocidadeForm.name.$error.required"
          class="glyphicon glyphicon-pencil"></i>
        <label for="nameInput">Periodo</label>
      </div>
      <div class="col-md-4">
        <input
          type="text"
          class="form-control error" id="nameInput"
          name="fgPeriodo"
          ng-model="vm.peridiocidade.fgPeriodo"
          fend-focus="focusPeridiocidadeNameInput"
          required>
      </div>
    </div>
    <!-- @end: name -->
    <!-- @begin: buttons -->
    <div class="row" ng-if="!vm.showConfirm">&nbsp;</div>

    <div class="row" ng-if="!vm.showConfirm">
      <div class="col-md-5">
        <a href="#peridiocidade" class="btn" id="cancelLinkBtn">Cancel</a>
        <button
          id="saveBtn"
          ng-click="vm.save()"
          ng-disabled="vm.isClean() || peridiocidadeForm.$invalid"
          class="btn btn-primary">Save</button>
        <button
          id="deleteConfirmBtn"
          ng-click="vm.remove()"
          ng-if="vm.peridiocidade.id"
          class="btn btn-danger">Delete</button>
      </div>
    </div>
    <!-- @end: buttons -->

    <!-- @begin: confirm -->
    <div class="bs-callout bs-callout-danger" ng-if="vm.showConfirm">
      <h4>Confirm</h4>
      <p>Delete <code>{{vm.peridiocidade.name}}</code> ?</p>
      <button
        id="deleteBtn"
        ng-click="vm.destroy()"
        class="btn btn-danger">Delete</button>
      <button
        id="cancelBtn"
        ng-click="vm.cancelRemove()"
        class="btn btn-default">Cancel</button>
    </div>
    <!-- @end: confirm -->

  </form>
  <!-- @end: peridiocidadeForm -->

</div>

  </div>

</div>
